'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _PositionedLink = _interopRequireDefault(require('../PositionedLink'));

var _dot = _interopRequireDefault(require('../../assets/images/dot.svg'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var HeaderLinkDotted = function HeaderLinkDotted(_ref) {
    var text = _ref.text,
        href = _ref.href;
    return /*#__PURE__*/ _react.default.createElement(
        _PositionedLink.default,
        {
            position: 'bottom'
        },
        /*#__PURE__*/ _react.default.createElement('div', null, text + href),
        /*#__PURE__*/ _react.default.createElement('img', {
            src: _dot.default,
            width: '10px'
        })
    );
};

HeaderLinkDotted.propTypes = {
    text: _propTypes.default.string.isRequired,
    href: _propTypes.default.string
};
HeaderLinkDotted.defaultProps = {
    href: '/'
};
var _default = HeaderLinkDotted;
exports.default = _default;
