'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.Basic = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _PositionedLink = _interopRequireDefault(require('../../../core/PositionedLink'));

var _SentimentDissatisfied = _interopRequireDefault(require('@material-ui/icons/SentimentDissatisfied'));

var _SentimentVeryDissatisfied = _interopRequireDefault(require('@material-ui/icons/SentimentVeryDissatisfied'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var _default = {
    title: 'Example/PositionedLink',
    component: _PositionedLink.default
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(
        _PositionedLink.default,
        args,
        'text',
        /*#__PURE__*/ _react.default.createElement(_SentimentDissatisfied.default, null),
        /*#__PURE__*/ _react.default.createElement(_SentimentVeryDissatisfied.default, null)
    );
};

var Basic = Template.bind({});
exports.Basic = Basic;
Basic.args = {
    position: 'right',
    padding: 2
};
